# Class WizardExternalProjectImportPage

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.wizard.WizardPage
org.eclipse.ui.wizards.datatransfer.WizardExternalProjectImportPage

All Implemented Interfaces:
  `IDialogPage, IMessageProvider, IWizardPage`

public class WizardExternalProjectImportPage extends WizardPage
Standard main page for a wizard that creates a project resource from whose location already contains a project.

This page may be used by clients as-is; it may be also be subclassed to suit.

Example usage:

    mainPage = new WizardExternalProjectImportPage("basicNewProjectPage");
    mainPage.setTitle("Project");
    mainPage.setDescription("Create a new project resource.");

## Field Summary

### Fields inherited from interface IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`WizardExternalProjectImportPage()`
Creates a new project creation wizard page.

## Method Summary

Modifier and Type
Method
Description
`void`
`createControl(Composite parent)`
Creates the top level control for this dialog page under the given parent composite.
`IPath`
`getLocationPath()`
Returns the current project location path as entered by the user, or its anticipated initial value.
`IProject`
`getProjectHandle()`
Creates a project resource handle for the current project name field value.
`String`
`getProjectName()`
Returns the current project name as entered by the user, or its anticipated initial value.
`void`
`setVisible(boolean visible)`
The `DialogPage` implementation of this `IDialogPage` method sets the control to the given visibility state.

### Methods inherited from class WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

### Methods inherited from interface IWizardPage

`getMinimumPageSize`

## Constructor Details

### WizardExternalProjectImportPage

public WizardExternalProjectImportPage()
Creates a new project creation wizard page.

## Method Details

### createControl

public void createControl(Composite parent)
Description copied from interface: `IDialogPage`
Creates the top level control for this dialog page under the given parent composite.

Implementors are responsible for ensuring that the created control can be accessed via `getControl`

Parameters:
  `parent` - the parent composite

### getLocationPath

public IPath getLocationPath()
Returns the current project location path as entered by the user, or its anticipated initial value.

Returns:
  the project location path, its anticipated initial value, or `null` if no project location path is known

### getProjectHandle

public IProject getProjectHandle()
Creates a project resource handle for the current project name field value.

This method does not create the project resource; this is the responsibility of `IProject::create` invoked by the new project resource wizard.

Returns:
  the new project resource handle

### getProjectName

public String getProjectName()
Returns the current project name as entered by the user, or its anticipated initial value.

Returns:
  the project name, its anticipated initial value, or `null` if no project name is known

### setVisible

public void setVisible(boolean visible)
Description copied from class: `DialogPage`
The `DialogPage` implementation of this `IDialogPage` method sets the control to the given visibility state. Subclasses may extend.

Specified by:
  `setVisible` in interface `IDialogPage`
Overrides:
  `setVisible` in class `DialogPage`
Parameters:
  `visible` - `true` to make this page visible, and `false` to hide it